Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class TimeCodeDef

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.qtcomponents.TimeCodeDef

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TimeCodeDef
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

The TimeCode definition class contains timecode formatting information.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`TimeCodeDef()` Creates a TimeCodeDef object which has no initial settings.

Method Summary
`java.lang.Object` | `clone()` Makes a copy of a object.
`int` | `getFlags()` Returns the current flag settings.
`int` | `getFrameDuration()` Returns the duration of each frame.
`int` | `getFramesPerSecond()` Returns the number of frames per second as the closest integral value.
`int` | `getTimeScale()` Returns the time scale in terms of the frameDuration.
`void` | `setFlags(int flags)` Sets the flags - dropFrame, etc
`void` | `setFrameDuration(int frameDuration)` Sets the duration of each frame.
`void` | `setFramesPerSecond(int fps)` Sets the number of frames per second as the closest integral value.
`void` | `setTimeScale(int timeScale)` Sets the time scale in terms of the frameDuration.
`java.lang.String` | `toString()` String representation of class.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### TimeCodeDef

    public TimeCodeDef()

  Creates a TimeCodeDef object which has no initial settings.

Method Detail

### getFlags

    public int getFlags()

  Returns the current flag settings.
  Returns:
    flags

### setFlags

    public void setFlags(int flags)

  Sets the flags - dropFrame, etc
  Parameters:
    `flags` - new flag value

### getTimeScale

    public int getTimeScale()

  Returns the time scale in terms of the frameDuration. TimeScale / frameDuration = actual number of frames per second
  Returns:
    time scale

### setTimeScale

    public void setTimeScale(int timeScale)

  Sets the time scale in terms of the frameDuration. TimeScale / frameDuration = actual number of frames per second
  Parameters:
    `timeScale` - the new time scale value

### getFrameDuration

    public int getFrameDuration()

  Returns the duration of each frame. TimeScale / frameDuration = actual number of frames per second
  Returns:
    the current frame duration

### setFrameDuration

    public void setFrameDuration(int frameDuration)

  Sets the duration of each frame. TimeScale / frameDuration = actual number of frames per second
  Parameters:
    `frameDuration` - new frame duration value

### getFramesPerSecond

    public int getFramesPerSecond()

  Returns the number of frames per second as the closest integral value. The actual frames per second are found by the following: TimeScale / frameDuration = actual number of frames per second
  Returns:
    the specified, integral, frames per second

### setFramesPerSecond

    public void setFramesPerSecond(int fps)

  Sets the number of frames per second as the closest integral value. The actual frames per second are found by the following: TimeScale / frameDuration = actual number of frames per second
  Parameters:
    `fps` - the specified, integral, frames per second

### toString

    public java.lang.String toString()

  String representation of class.
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Makes a copy of a object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD